List Clusters Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters \
--header 'Authorization: Bearer <token>'{
"metrics": {},
"pagination": {},
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"managed_provenance": "created",
"name": "<string>",
"ownership": "created",
"state": "<string>",
"kubelet_version_max": "<string>",
"kubelet_version_min": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Clusters
List Clusters Endpoint
GET
/
api
/
v1
/
clusters
List Clusters Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters \
--header 'Authorization: Bearer <token>'{
"metrics": {},
"pagination": {},
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"managed_provenance": "created",
"name": "<string>",
"ownership": "created",
"state": "<string>",
"kubelet_version_max": "<string>",
"kubelet_version_min": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100